<?xml version="1.0" encoding="utf-8"?>
<androidx.cardview.widget.CardView xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    app:cardCornerRadius="@dimen/_15sdp"
    app:cardBackgroundColor="@color/bg_color">

    <RelativeLayout
        android:padding="@dimen/dimen_20dp"
        android:layout_width="match_parent"
        android:layout_height="wrap_content">

    <RelativeLayout
        android:id="@+id/lytTitle"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_alignParentTop="true"
        android:layout_marginTop="@dimen/_5sdp">

        <TextView
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_alignParentStart="true"
            android:layout_marginBottom="@dimen/_5sdp"
            android:text="@string/default_delivery_location"
            android:textAppearance="@style/TextAppearance.AppCompat.Medium"
            android:textColor="@color/colorPrimary"
            android:textStyle="bold" />
    </RelativeLayout>

    <TextView
        android:id="@+id/tvMessage"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_below="@id/lytTitle"
        android:layout_marginBottom="@dimen/_5sdp"
        android:text="@string/msg_default_delivery_location"
        android:textColor="@color/red"
        android:textSize="@dimen/_10sdp" />


    <LinearLayout
        android:id="@+id/lytSearchView"
        android:layout_width="match_parent"
        android:layout_height="@dimen/dimen_50dp"
        android:layout_below="@id/tvMessage"
        android:orientation="horizontal"
        android:weightSum="30">

        <EditText
            android:id="@+id/searchView"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_marginEnd="@dimen/_5sdp"
            android:layout_weight="10"
            android:background="@drawable/card_shadow"
            android:drawableStart="@drawable/ic_search"
            android:hint="@string/search_pin_code"
            android:inputType="text"
            android:maxLines="1"
            android:padding="@dimen/_10sdp"
            android:importantForAutofill="no" />

<!--        <TextView-->
<!--            android:id="@+id/tvSearch"-->
<!--            android:layout_width="match_parent"-->
<!--            android:layout_height="wrap_content"-->
<!--            android:layout_margin="@dimen/_2sdp"-->
<!--            android:layout_weight="20"-->
<!--            android:background="@drawable/bg_btn"-->
<!--            android:gravity="center"-->
<!--            android:text="@string/search"-->
<!--            android:textColor="@color/white"-->
<!--            android:textStyle="bold" />-->
    </LinearLayout>

    <TextView
        android:id="@+id/tvPinCode"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_below="@+id/lytSearchView"
        android:layout_marginTop="@dimen/_3sdp"
        android:background="@drawable/card_shadow"
        android:padding="@dimen/_5sdp"
        android:text="@string/all"
        android:textAlignment="center"
        android:textAppearance="@style/TextAppearance.AppCompat.Medium"
        android:textColor="@color/txt_color" />

    <androidx.core.widget.NestedScrollView
        android:id="@+id/scrollView"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_below="@id/tvPinCode"
        android:layout_marginTop="@dimen/_5sdp">

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/recyclerView"
            android:layout_width="match_parent"
            android:layout_height="match_parent" />
    </androidx.core.widget.NestedScrollView>

    <TextView
        android:id="@+id/tvAlert"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_centerInParent="true"
        android:textAppearance="@style/TextAppearance.AppCompat.Medium"
        android:visibility="gone" />

    <ProgressBar
        android:id="@+id/progressBar"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_centerInParent="true"
        android:visibility="gone" />
    </RelativeLayout>

</androidx.cardview.widget.CardView>